/* Include file of tables of error messages and codes for C */
/* Generated on Wed May  9 15:54:48 1990 */

#include "errmsg.h"

/* .TITLE 	        CATS_ERRS Symbols for Status Returns in CATS calls */
/* .IDENT 		"Version 4.0.3" */
/* .FACILITY 	TS,^X043/PREFIX=TS_ */

err_translation 	ts_err_mess_array[] = {
  { 0x0064, "OK", "operation completed succesfully" }
 ,{ 0x0065, "NULL", "no event to be delivered" }
 ,{ 0x00c8, "CNCF", "connect confirm" }
 ,{ 0x00c9, "DSCF", "disconnect confirm" }
 ,{ 0x00ca, "CNID", "connect indication" }
 ,{ 0x00cb, "RDYID", "data send completed" }
 ,{ 0x00cc, "DTAID", "data receive completed" }
 ,{ 0x00cd, "EXRID", "expedited data send completed" }
 ,{ 0x00ce, "EXPID", "expedited data receive completed" }
 ,{ 0x00cf, "CNRSOK", "connect response accepted" }
 ,{ 0x00d0, "CONNTD", "connected" }
 ,{ 0x012c, "DTAOVR", "user buffer too small, data truncated" }
 ,{ 0x012d, "TIMOUT", "requested timed out" }
 ,{ 0x0190, "DSID", "disconnect indication" }
 ,{ 0x0191, "BADSEQ", "procedure called out of sequence" }
 ,{ 0x0192, "BADPAR", "bad parameter" }
 ,{ 0x0193, "BADCON", "no such connection" }
 ,{ 0x0194, "TOOBIG", "user data segment too big" }
 ,{ 0x0195, "NOSAP", "no such Service Access Point" }
 ,{ 0x0196, "NCONN", "no more connections available" }
 ,{ 0x0197, "PROERR", "TS provider signalled error" }
 ,{ 0x0198, "CONFAI", "failed to connect" }
 ,{ 0x0199, "REMFAI", "remote TS provider not responding" }
 ,{ 0x019a, "SHUT", "local or remote node no longer accepting connects" }
 ,{ 0x019b, "DISCON", "already disconnected" }
 ,{ 0x01f4, "MEMFAI", "memory allocation failure" }
 ,{ 0x0258, "INTERR", "internal error" }
 ,{ 0x0259, "FATAL", "fatal error" }
 ,{ 0x02bc, "GRTSAP", "GET remote tsap" }
 ,{ 0x02bd, "GLTSUF", "GET local transport suffix associated with this connection" }
 ,{ 0x02be, "GUDT", "GET user data string" }
 ,{ 0x02bf, "GLNSAP", "GET local nsap" }
 ,{ 0x02ee, "SLTSUF", "SET local transport suffix" }
 ,{ 0x02ef, "SUDT", "SET user data" }
 ,{ 0x0000, 0, 0}
 };

struct err_block_struct 	ts_err_mess_struct = {
 0, ^X043, "TS_", "	TS", 	ts_err_mess_array };

err_status 	ts_register_errors()
    {
    return err_register(&	ts_err_mess_struct);
    }

err_status 	ts_unregister_errors()
    {
    return err_unregister(&	ts_err_mess_struct);
    }
