/*
**      C definitions and declarations for communicating with parse.y .
**      ---------------------------------------------------------------
*/

typedef struct info_list_item INFO_LIST_ITEM, *INFO_LIST_PTR;

struct info_list_item {
    char          *name;
    char          *value;
    INFO_LIST_PTR  next;
};

#define NULL_INFO_LIST_PTR (INFO_LIST_PTR) 0

typedef struct service_list_item SERVICE_LIST_ITEM, *SERVICE_LIST_PTR;

struct service_list_item {
    char             *name;
    INFO_LIST_PTR     info;
    SERVICE_LIST_PTR  next;
};

#define NULL_SERVICE_LIST_PTR (SERVICE_LIST_PTR) 0

typedef struct address_item ADDRESS_ITEM, *ADDRESS_PTR;

struct address_item {
    char          *name;
    INFO_LIST_PTR  info;
};

typedef struct ns_declaration NS_DECLARATION, *NS_DECLARATION_PTR;

struct ns_declaration {
    ADDRESS_PTR       address;
    SERVICE_LIST_PTR  service_list;
};


