/* Include file of tables of error messages and codes for C */
/* Generated on Wed Dec 13 09:31:04 1989 */

#include "errmsg.h"

/* .TITLE MPS_ERRS BICC Ethernet Multiprolocol Error Codes */
/* .IDENT "Version 1.0  16 Mar 87" */
/* .FACILITY MPS,96/PREFIX=MPS_ */

err_translation mps_err_mess_array[] = {
  { 0x0001, "Illegal_Buf_Len", "Illegal buffer length" }
 ,{ 0x0003, "Illegal_Command", "Illegal command" }
 ,{ 0x0005, "Call_Timeout", "Call command timed out" }
 ,{ 0x0006, "More_Data_Coming", "More data to come" }
 ,{ 0x0008, "VCID_Invalid", "VCID out of range" }
 ,{ 0x0009, "No_Resource_Avail", "No resource available" }
 ,{ 0x000a, "Virt_Circuit_Down", "Virtual circuit already down" }
 ,{ 0x000b, "Command_Cancelled", "Command cancelled" }
 ,{ 0x0018, "Virt_Circuit_Abort", "Virtual circuit ended" }
 ,{ 0x0021, "Interface_Busy", "Interface busy" }
 ,{ 0x0022, "Too_Many_Commands", "Too many commands outstanding" }
 ,{ 0x0024, "No_Cmnd_To_Cancel", "No command to cancel" }
 ,{ 0x0042, "LSAP_Error", "LSAP error" }
 ,{ 0x0043, "Bad_Protocol_Type", "Bad protocol type" }
 ,{ 0x0044, "All_MAC_Grabbed", "All MAC grabbed" }
 ,{ 0x0045, "Type_Field_Clash", "Type field clash" }
 ,{ 0x0046, "No_Can_Correspond", "No cancel correspond" }
 ,{ 0x0000, 0, 0}
 };

struct err_block_struct mps_err_mess_struct = {
 0, 96, "MPS_", "MPS", mps_err_mess_array };

err_status mps_register_errors()
    {
    return err_register(&mps_err_mess_struct);
    }

err_status mps_unregister_errors()
    {
    return err_unregister(&mps_err_mess_struct);
    }
