
#include <rpcrts.h>

typedef    rpc_char name[41];
typedef    rpc_long way_status;
typedef    rpc_long rpc_stype_0[4];
typedef    struct {
      rpc_long flags;
      rpc_long long_info[4];
   } info_type;

program_index p_way2way_rem;

extern rpc_long way_2w_download_rem();
/*  Parameters: none
    */

extern rpc_long way_2w_store_rem();
/*  Parameters: 
    name service;
    name address;
    info_type info;
    */

static rpc_message *rpc_p_buf;

r_way_2w_download_rem()
{

    c_turn(rpc_p_buf);
    pck_long(rpc_p_buf, way_2w_download_rem());
    }

r_way_2w_store_rem()
{
    name service;
    name address;
    info_type info;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   upk_char(rpc_p_buf, service[rpc_a]);
   }
   service[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   upk_char(rpc_p_buf, address[rpc_a]);
   }
   address[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   upk_long(rpc_p_buf, info.flags);
   for (rpc_a = 0; rpc_a<4; rpc_a++) {
      upk_long(rpc_p_buf, info.long_info[rpc_a]);
   }
    c_turn(rpc_p_buf);
    pck_long(rpc_p_buf, way_2w_store_rem(service, address, info));
    }

r_way2way_rem(rpc_a) rpc_message **rpc_a;
{   rpc_short request;

    rpc_p_buf = *rpc_a;
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    upk_short(rpc_p_buf, request);
    if (request != 0 && request != 8495)
         rpc_p_buf->m_status = RPC_S_UNSUPPORTED_VERSION;
    else {
     upk_short(rpc_p_buf, request);
     switch (request)
     {   case  1 : r_way_2w_download_rem();
                  break;
        case  2 : r_way_2w_store_rem();
                  break;
        default : rpc_p_buf->m_status = RPC_S_BAD_PROCEDURE_NUMBER;
        }
     }
    }

attach_way2way_rem()
{   rpc_status      status;

    c_attach_stub(status, r_way2way_rem, 
        "way2way_rem                                 ", p_way2way_rem);
    c_report_error(status);
    }
